from collections import namedtuple

# konstruktor pětice s přístupem k prvkům nejen indexem, ale i jménem
Film = namedtuple('FilmInfo', 'pořadí název rok režisér tržby')

filmy = []
with open('filmy_2_hlavicka.csv', encoding='utf-8') as f:
    next(f)     # přeskočení první (hlavičkové) řádky
    for line in f:
        filmy.append(
            Film(*line.strip().split(';'))  # pětiprvkový seznam rozbalený operátorem '*' na pět vstupních argumentů funkce
        )

def fn(x):
    tržbyINT = int( x.tržby[1:].replace(',', '') )
    #return tržbyINT
    return -tržbyINT

for film in sorted(filmy, key=fn):
    print(f'{film.pořadí}) {film.název}')
    print(f'\t{film.rok}')
    print(f'\t{film.režisér}')
    print(f'\t{film.tržby}')
