from collections import namedtuple

# konstruktor pětice s přístupem k prvkům nejen indexem, ale i jménem
Film = namedtuple('FilmInfo', 'pořadí název rok režisér tržby')

filmy = []
with open('filmy_2_hlavicka.csv', encoding='utf-8') as f:
    next(f)     # přeskočení první (hlavičkové) řádky
    for line in f:
        filmy.append(
            Film(*line.strip().split(';'))  # pětiprvkový seznam rozbalený operátorem '*' na pět vstupních argumentů funkce
        )
print(filmy)
