from collections import namedtuple

# konstruktor pětice s přístupem k prvkům nejen indexem, ale i jménem
Film = namedtuple('FilmInfo', 'pořadí název rok režisér tržby tržbyINT')

filmy = []
with open('filmy_2_hlavicka.csv', encoding='utf-8') as f:
    next(f)     # přeskočení první (hlavičkové) řádky
    for line in f:
        filmy.append(
            # *line.strip().split(';')
            ...
            Film(...)  # šestiprvkový seznam(?) rozbalený operátorem '*' na šest vstupních argumentů funkce
        )

for film in sorted(filmy, key=lambda x: x.tržbyINT):
    print(f'{film.pořadí}) {film.název}')
    print(f'\t{film.rok}')
    print(f'\t{film.režisér}')
    print(f'\t{film.tržby}')
